# Session Tracks Session Tracks ## Creates a new session track record that does not already exist. - [POST /sessionTracks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/createsessiontrack.md): This method will auto-generate an ID and create a new session track. If an ID is specified for the session track, an error will be thrown. ## Execute Batch Operations - [POST /sessionTracks/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /sessionTracks/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/listtracksbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified event_id - [GET /sessionTracks/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/describetracksbyeventid.md): Returns a list of records with the specified event_id ## Returns a session track from the system by its ID. - [DELETE /sessionTracks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/deletesessiontrack.md): This method will delete a session track with the specified ID. ## Returns a session track from the system by its ID. - [GET /sessionTracks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/getsessiontrack.md): This method will look up a session track by the specified ID and return it back. ## Partially updates a session track with the specified ID. - [PATCH /sessionTracks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/patchsessiontrack.md): This method will patch an existing session track with the specified ID, using the HTTP PATCH specification. ## Updates a session track with the specified ID. - [PUT /sessionTracks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-tracks/updatesessiontrack.md): This method will update an existing session track with the specified ID.